<?php
/**
 * Block Patterns
 *
 * @package courier-company
 * @since 1.0
 */

function courier_company_register_block_patterns() {
	$courier_company_block_pattern_categories = array(
		'courier-company' => array( 'label' => esc_html__( 'Courier Company', 'courier-company' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'courier-company' ) ),
	);

	$courier_company_block_pattern_categories = apply_filters( 'courier_company_courier_company_block_pattern_categories', $courier_company_block_pattern_categories );

	foreach ( $courier_company_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'courier_company_register_block_patterns', 9 );